%define		debug_package %{nil}

Name:		nixnote2
Version:	2.1.6
Release:	1.ndias%{?dist}
Summary:	Evernote client clone for Linux

Group:		Applications/Internet
License:	GPLv2
URL:		https://github.com/robert7/%{name}
Source0:	https://github.com/robert7/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:		tidy.patch

BuildRequires:	qt5-qtwebkit-devel, poppler-qt5-devel, hunspell-devel
BuildRequires:	boost-devel, libcurl-devel, qt5-linguist, libtidy-devel

Requires:	tidy

%description
This is an incomplete clone of Evernote designed to run on Linux. While this is
designed to work with Evernote, it is in no way connected with or supported by
Evernote. Any problems you encounter will not be corrected by them and, since
this is GPL software, you are using this software at your own risk.

%prep
%setup -q

%patch0 -p0

%build
qmake-qt5 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
%make_install INSTALL_ROOT=${RPM_BUILD_ROOT}

%files
%doc changelog.txt LICENSE README.md

%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop

%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1.gz

%dir %{_datadir}/%{name}/images
%dir %{_datadir}/%{name}/images/classic-theme
%dir %{_datadir}/%{name}/images/material-light
%dir %{_datadir}/%{name}/images/purple-theme

%{_datadir}/%{name}/images/*.png
%{_datadir}/%{name}/images/classic-theme/*.png
%{_datadir}/%{name}/images/material-light/*.png
%{_datadir}/%{name}/images/purple-theme/*.png
%{_datadir}/%{name}/images/NixNote2.icns
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%{_datadir}/%{name}/images/material-light/themeInfo.html
%{_datadir}/%{name}/images/purple-theme/purpleThemeInfo.html
%{_datadir}/%{name}/images/themeInfo.html

%dir %{_datadir}/%{name}/help
%{_datadir}/%{name}/help/about.html

%dir %{_datadir}/%{name}/java
%{_datadir}/%{name}/java/crypto.jar

%dir %{_datadir}/%{name}/sample_exits
%{_datadir}/%{name}/sample_exits/*.js

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.txt
%{_datadir}/%{name}/themes.ini

%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/translations/nixnote2_*.qm

%{_datadir}/%{name}/LICENSE

%{_datadir}/doc/%{name}/copyright
%{_datadir}/doc/%{name}/license.html

%changelog
* Wed May 06 2020 Nuno Dias <Nuno.Dias@gmail.com> - 2.1.6-1.ndias
- Version 2.1.6

* Sun Aug 11 2019 Nuno Dias <Nuno.Dias@gmail.com> - 2.1.4-1.ndias
- Version 2.1.4

* Tue Apr 30 2019 Nuno Dias <Nuno.Dias@gmail.com> - 2.1.3-1.ndias
- Version 2.1.3

* Wed Apr 3 2019 Nuno Dias <Nuno.Dias@gmail.com> - 2.1.2-1.ndias
- Change to the fork from robert7

* Fri Nov 17 2017 Nuno Dias <Nuno.Dias@gmail.com> - 2.0.2-2.ndias
- To include the icon in  pixmaps

* Sun Oct 8 2017 Nuno Dias <Nuno.Dias@gmail.com> - 2.0.2-1.ndias
- Version 2.0.2

* Tue Feb 14 2017 Nuno Dias <Nuno.Dias@gmail.com> - 2.0-1.ndias
- Version 2.0

* Tue Oct 18 2016 Nuno Dias <Nuno.Dias@gmail.com> - 2.0_beta10-1.ndias
- Version 2.0-beta10
